"""VeraAlerts platform for notify component."""
import logging
import requests
import voluptuous as vol

from homeassistant.const import CONF_API_KEY

from homeassistant.components.notify import (
    ATTR_DATA,
    ATTR_TITLE,
    ATTR_TITLE_DEFAULT,
    PLATFORM_SCHEMA,
    BaseNotificationService,
)
from homeassistant.const import CONF_API_KEY
import homeassistant.helpers.config_validation as cv

_LOGGER = logging.getLogger(__name__)

PLATFORM_SCHEMA = PLATFORM_SCHEMA.extend({vol.Required(CONF_API_KEY): cv.string})


def get_service(hass, config, discovery_info=None):
    """Get the Vera Alerts notification service."""

    return VeraAlertsNotificationService(config[CONF_API_KEY])


class VeraAlertsNotificationService(BaseNotificationService):
    """Implement the notification service for VeraAlerts."""

    def __init__(self, api_key):
        """Initialize the service."""
        self.api_key = api_key

    def send_message(self, message=None, **kwargs):
        """Send a message."""

        title = kwargs.get(ATTR_TITLE, ATTR_TITLE_DEFAULT)
        data = kwargs.get(ATTR_DATA)
        if data is None:
            data = {}
        _LOGGER.info("Sent notification to self")

        req = requests.get(
            "https://veraalertsexchange.appspot.com/SendAlert?msg=%s&recipient=%s"
            % (message, self.api_key)
        )
